//
// C++ Interface: PerigeeCovariance6D
//
// Description:
//
//
// Author: Fabian Moser <fabiamos@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef RAVEPERIGEECOVARIANCE6D_H
#define RAVEPERIGEECOVARIANCE6D_H

#include <rave/PerigeeCovariance5D.h>

namespace rave
{

/**
 * @class PerigeeCovariance6D stores covariance data associated with a PerigeeState6D
 *
 * @author Fabian Moser <fabiamos@gmail.com>
 */

class PerigeeCovariance6D :
    public PerigeeCovariance5D
{
  public:
    PerigeeCovariance6D();
    PerigeeCovariance6D ( double doo, double dot, double dop, double dod,
                          double doz, double dom, double dtt, double dtp,
                          double dtd, double dtz, double dtm, double dpp,
                          double dpd, double dpz, double dpm, double ddd,
                          double ddz, double ddm, double dzz, double dzm,
                          double dmm );

    ~PerigeeCovariance6D();

  private:
    double thedom;
    double thedtm;
    double thedpm;
    double theddm;
    double thedzm;
    double thedmm;

};

}

#endif
