#include "RaveBase/RaveInterface/rave/PerigeeMomentum3D.h"

namespace rave
{

PerigeeMomentum3D::PerigeeMomentum3D ( float omega, float tanLambda, 
                                       float phi ) :
    theOmega( omega ), theTanLambda( tanLambda ), thePhi( phi )
{}

PerigeeMomentum3D::PerigeeMomentum3D() :
    theOmega( 0. ), theTanLambda( 0. ), thePhi( 0. )
{}

float PerigeeMomentum3D::omega() const
{
  return theOmega;
}

float PerigeeMomentum3D::tanLambda() const
{
  return theTanLambda;
}

float PerigeeMomentum3D::phi() const
{
  return thePhi;
}

bool PerigeeMomentum3D::equal ( const PerigeeMomentum3D & other ) const
{
  return ( omega() == other.omega() ) &&
         ( tanLambda() == other.tanLambda() ) &&
         ( phi() == other.phi() );
}

bool operator== ( const rave::PerigeeMomentum3D & lhs, const rave::PerigeeMomentum3D & rhs )
{
  return lhs.equal ( rhs );
}

} // namespace rave
