#include "RaveBase/RaveInterface/rave/PerigeeState5D.h"

namespace rave
{

PerigeeState5D::PerigeeState5D ( float omega, float tanLambda, float phi,
                                 float d0, float z0 ) :
    PerigeeMomentum3D ( omega, tanLambda, phi ), theD0 ( d0 ), theZ0 ( z0 )
{}

PerigeeState5D::PerigeeState5D() :
    PerigeeMomentum3D(), theD0 ( 0. ), theZ0 ( 0. )
{}

float PerigeeState5D::d0() const
{
  return theD0;
}

float PerigeeState5D::z0() const
{
  return theZ0;
}

bool PerigeeState5D::equal ( const PerigeeState5D & other ) const
{
  return PerigeeMomentum3D::equal ( other ) && 
         ( d0() == other.d0() ) && 
         ( z0() == other.z0() );
}

bool operator== ( const rave::PerigeeState5D & lhs, const rave::PerigeeState5D & rhs )
{
  return lhs.equal ( rhs );
}

} // namespace rave
