#include "RaveBase/RaveInterface/rave/PerigeeState6D.h"

namespace rave
{

PerigeeState6D::PerigeeState6D() :
    PerigeeState5D(), theMass ( 0. )
{}

PerigeeState6D::PerigeeState6D (
  double omega, double tanLambda, double phi, double d0, double z0,
  double mass ) :
    PerigeeState5D ( omega, tanLambda, phi, d0, z0 ), theMass ( mass )
{}

PerigeeState6D::~PerigeeState6D()
{}

double PerigeeState6D::mass() const
{
  return theMass;
}

bool PerigeeState6D::equal ( const PerigeeState6D& other ) const
{
  return PerigeeState5D::equal ( other ) && ( mass() == other.mass() );
}

bool operator== ( const PerigeeState6D & lhs, const PerigeeState6D & rhs )
{
  return lhs.equal ( rhs );
}

}
